Name:		image-analyzer
Version:	3.2.6
Release:	%mkrel 1
Summary:	An application that displays tree structure of disc image
Group:		File tools
License:	GPLv2
URL:		https://cdemu.sourceforge.io/about/analyzer/
Source:		https://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.xz
Patch0:		image-analyzer-3.2.5-fix-install.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libmirage) >= %{version}
BuildRequires:	pkgconfig(python3)
BuildRequires:	gnuplot
BuildRequires:	intltool
BuildRequires:	cmake

Requires:	python3dist(pygobject)
Requires:	python3-matplotlib-gtk3

%description
Image Analyzer is a simple Gtk+ application that displays tree structure of disc
image created by libMirage.

It is mostly intended as a demonstration of libMirage API use, although it can
be also used to verify that an image is correctly handled by libMirage.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Fri Dec 29 2023 daviddavid <daviddavid> 3.2.6-1.mga10
+ Revision: 2024253
- new version: 3.2.6

* Tue Apr 05 2022 umeabot <umeabot> 3.2.5-2.mga9
+ Revision: 1844437
- Mageia 9 Mass Rebuild

* Sat May 01 2021 daviddavid <daviddavid> 3.2.5-1.mga9
+ Revision: 1720769
- new version: 3.2.5

* Thu Feb 20 2020 umeabot <umeabot> 3.2.4-2.mga8
+ Revision: 1546244
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 daviddavid <daviddavid> 3.2.4-1.mga8
+ Revision: 1486190
- new version: 3.2.4
- use new cmake macros

* Fri Aug 30 2019 daviddavid <daviddavid> 3.2.3-1.mga8
+ Revision: 1435493
- new version: 3.2.3
- port to python 3

* Sat Apr 13 2019 daviddavid <daviddavid> 3.2.2-1.mga7
+ Revision: 1389678
- new version: 3.2.2

* Wed Mar 06 2019 daviddavid <daviddavid> 3.2.1-1.mga7
+ Revision: 1371798
- new version: 3.2.1

* Thu Sep 20 2018 umeabot <umeabot> 3.2.0-2.mga7
+ Revision: 1278869
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 daviddavid <daviddavid> 3.2.0-1.mga7
+ Revision: 1252165
- new version: 3.2.0

* Sat Dec 23 2017 daviddavid <daviddavid> 3.1.0-1.mga7
+ Revision: 1184194
- new version: 3.1.0

* Sat Nov 12 2016 daviddavid <daviddavid> 3.0.1-1.mga6
+ Revision: 1066748
- new version: 3.0.1
- rename and rediff fix-install patch
- make it noarch now

* Sun Oct 09 2016 daviddavid <daviddavid> 3.0.0-1.mga6
+ Revision: 1059791
- new version: 3.0.0
- add missing URL tag
- update files list

* Thu Feb 04 2016 umeabot <umeabot> 2.0.0-6.mga6
+ Revision: 934816
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-5.mga5
+ Revision: 744944
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-4.mga5
+ Revision: 680483
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.0-3.mga4
+ Revision: 529073
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 2.0.0-2.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sat Jan 12 2013 umeabot <umeabot> 2.0.0-2.mga3
+ Revision: 354288
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 mitya <mitya> 2.0.0-1.mga3
+ Revision: 335775
- New version 2.0.0
- Created package structure for image-analyzer.

